RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1937487 - Podman socket failing to connect with long uid
Summary: Podman socket failing to connect with long uid
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: podman
Version: 8.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Jindrich Novy
QA Contact: Yuhui Jiang
URL:
Whiteboard:
: 1939247 (view as bug list)
Depends On:
Blocks: 1186913 1823899 1942529
TreeView+ depends on / blocked
 
Reported: 2021-03-10 18:11 UTC by Devon
Modified: 2024-06-14 00:45 UTC (History)
17 users (show)

Fixed In Version: podman-3.0.1-5.el8 or newer
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1939247 1942529 (view as bug list)
Environment:
Last Closed: 2021-05-18 15:34:31 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)

Description Devon 2021-03-10 18:11:26 UTC
Description of problem:

Looks like we are seeing the exact same issue as shown in the following bug where users are not able to connect to the socket when the /var/run/user/<uid>/libpod/tmp/socket/ does not get truncated enough which causes this to fail with the following errors.

    Socket truncated with long user names using default $XDG_RUNTIME_DIR · Issue #8798 · containers/podman · GitHub
    URL:   https://github.com/containers/podman/issues/8798

$ podman exec -it 1a /bin/sh

ERRO[0005] Container 1acc9b5c1de29ec462dd35250574347782f1634ebb1a8b22af80995b85da817e exec session 9b6c7dc9e3fde95b4a348ba8d47ff8749fdc3c7ed67dfd55591accf73cc2495b error: failed to connect to container's attach socket: /run/user/700052478/libpod/tmp/socket/9b6c7dc9e3fde95b4a348ba8d47ff8749fdc3c7ed67dfd55591accf73cc2495b/atta: dial unixpacket /run/user/700052478/libpod/tmp/socket/9b6c7dc9e3fde95b4a348ba8d47ff8749fdc3c7ed67dfd55591accf73cc2495b/atta: connect: no such file or directory
Error: timed out waiting for file /local/data/scratch/mqlgcqa/containers/storage/overlay-containers/1acc9b5c1de29ec462dd35250574347782f1634ebb1a8b22af80995b85da817e/userdata/9b6c7dc9e3fde95b4a348ba8d47ff8749fdc3c7ed67dfd55591accf73cc2495b/exit/1acc9b5c1de29ec462dd35250574347782f1634ebb1a8b22af80995b85da817e: internal libpod error

Customer is looking for this to be backported into podman 2.2, and they have also asked for this patch to be released by the end of the month.

Looks like the commit that fixes this is here:

    oci: use /proc/self/fd/FD to open unix socket by giuseppe · Pull Request #8933 · containers/podman · GitHub
    URL:   https://github.com/containers/podman/pull/8933

Version-Release number of selected component (if applicable):

2.2.1

How reproducible:

Every time

Actual results:

Unable to connect to podman socket

Expected results:

Be able to truncate socket path correctly and connect.

Additional info:

Also looks very similar to 1932397 so added that link to this bug as well but looks slightly different so opened a new bug to confirm this is in fact a different issue or not.

Comment 1 Jindrich Novy 2021-03-12 08:52:29 UTC
Devon, the PR https://github.com/containers/podman/pull/8933 is already part of podman-3.0 which will be part of 8.4.0. Also changing component for this bug to podman.

Comment 17 Derrick Ornelas 2021-03-22 18:45:46 UTC
*** Bug 1939247 has been marked as a duplicate of this bug. ***

Comment 26 errata-xmlrpc 2021-05-18 15:34:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: container-tools:rhel8 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1796


Note You need to log in before you can comment on or make changes to this bug.